    body{  
      font-size: 14px;
      color: black;
    }
    .container {
      font-family: Arial, Helvetica, sans-serif;
      display: grid;
      grid-template-areas:
        "head head"
        "top-menu top-menu"
        "nav main"
        "footer footer";
      grid-template-columns: 210px;
      gap: 2px;
      /* background-color: dodgerblue; */
      padding: 3px;
    }
    .container div {
    background-color: white;
    padding: 10px;
    }
    /* top header */
    header {
    grid-area: head;
    text-align: left;
    border-style: solid;
    padding-left: 10px;
    border-width: 0px 0px 1px 0px;
    background-color: white;
    }
    .banner-logo {
      max-width:100%;
      width: auto;
      height: auto;
    }
    .top-logo-right{
      float: right;
    }

    /* top menu bar */
    div.top-menu {
      grid-area: top-menu; 
      margin: auto;
      width: 90%;
      text-align: center;
      
    }
    ul.top-menu {
      list-style: none;
      font-family: Arial, Helvetica, sans-serif;
      font-size: 13px;
      padding-bottom: 0px;
    }
    ul.top-menu li{
      display: inline;
      font-family: Arial, Helvetica, sans-serif;
      font-size: 14px;
      font-weight: bold;
      padding-bottom: 0px;
    }
    ul.top-menu li+li:before {
      padding: 8px;
      color: black;
      content: "|";
      padding-bottom: 0px;
    }
    div.top-menu a{
      transition: background-color 150ms ease;
    }
    div.top-menu a:hover {
      background-color: aqua;
    }

    /* left navbar */
    nav {
      grid-area: nav;
      font-size: 14px;
      background-color: white;
      /* text-align: left; */
    }
    nav.close{
      display: none;
    }

    nav ul {
      list-style: none;
      padding: 0;
      /* padding-left: 15px; */
    }
    nav li {
       padding-bottom: 6px;
    }

    /* main */
    div.inline-nav {
      display: none;
    }
    main {
      grid-area: main;
      padding-left: 20px;
      padding-right: 20px;
    }
    main div.heading-sm{
      background-color: #6f2d23;
      padding: 1px 1px 1px 5px;
    }
    h1#main-page-title{
      font-size: 17px;
      font-weight: bold;
      color: #fefc00;
      margin: 0px;
    }
    .mirror-info {
      line-height: 15pt;
      border-style: solid; border-width: 0px 0px 1px 0px
    }
    .mirror-copyleft{
      font-style: italic;
      font-weight: bold;
    }
    .original-text {
      padding-bottom: 40px; font-style: italic; line-height: 15pt;
    }

    div.site-updates {
      margin: auto;
      display: flex;
      background-color: #c6c4ff;
    }
    div.site-updates-column {
      flex: 33%; 
      text-align: center;
      background-color: #c6c4ff;
      padding: 0;
    }
    div.site-updates ul {
      padding-left: 10px;
      list-style: none;
      margin: 0;
    }

    /* footer */
    footer {
    grid-area: footer;
    text-align: center;
    padding:40px 40px;
    background-color: white;
    }

    /* responsive */
    @media (max-width: 900px) {
      .container {
        display: grid;
      grid-template-areas:
        "head head"
        "main main"
        "nav nav"
        "footer footer";
              
      }
      header{
        text-align: center;
        border-style: solid;
        padding-left: 0px;
      }
      div.top-menu{
        display: none;
      }
      nav {
        text-align: center;
        padding-top: 20px;
      }
      nav img{
        display: none;
      }
      nav ul{
        margin-bottom: 0;
        margin-top: 0;
        
      }
      nav li{
        margin-top: 5px;
        font-size: 18px;
      }
      .top-logo-right {
        display: none;
      }
      
      main{
        padding-left: 0px;
        padding-right: 0px;
        font-size: 16px;
      }
      div.inline-nav {
        display: block;
        padding: 0;
        text-align: center;
        font-size: 13px;

        padding-bottom: 3px;
      }
      div.inline-nav ul {
        list-style-type: none;
        margin: 0;
        padding: 0;
        overflow: hidden;
        background-color: #ffffff;
      }
      div.inline-nav li {
        float: left;
      }

      div.inline-nav li a, .dropbtn {
      display: inline-block;
      color: rgb(0, 0, 0);
      text-align: center;
      padding: 1px 5px;
      text-decoration: none;
      
      }


      div.inline-nav li a:hover, div.inline-nav .dropdown:hover .dropbtn {
        background-color: white;
      }

      div.inline-nav li.dropdown {
        display: inline-block;
      }

      div.inline-nav .dropdown-content {
        display: none;
        position: absolute;
        background-color: #f9f9f9;
        min-width: 300px;
        box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
        z-index: 1;
      }

      div.inline-nav .dropdown-content a {
        color: black;
        padding: 5px 16px;
        text-decoration: none;
        display: block;
        text-align: left;
        font-size: 20px;

      }

      div.inline-nav .dropdown-content a:hover {
        background-color: #b3adad;
      }

      div.inline-nav .dropdown:hover .dropdown-content {
        display: block;
      }


      div.site-updates {
      display: block;
      }
      footer{
        padding: 30px 10px;
      }
    }